Bug 1144608 - pki-core failed to build with cmake-2.8.12.2-4.el6
Summary: pki-core failed to build with cmake-2.8.12.2-4.el6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pki-core
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 6.7
Assignee: Matthew Harmsen
QA Contact: Asha Akkiangady
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-19 21:40 UTC by Asha Akkiangady
Modified: 2015-07-22 06:55 UTC (History)
6 users (show)

Fixed In Version: pki-core-9.0.3-40.el6
Doc Type: Bug Fix
Doc Text:
Previously, pki-core failed to build with the rebased version of the CMake build system during the TPS rebuild test. The pki-core build files have been updated to comply with the rebased version of CMake. As a result, pki-core builds successfully in the described scenario.
Clone Of:
Environment:
Last Closed: 2015-07-22 06:55:30 UTC


Attachments (Terms of Use)
pki-core-9.0.3-bz1144608.patch (171.77 KB, patch)
2015-02-06 01:07 UTC, Matthew Harmsen
no flags Details | Diff
spec file to apply patch (50.11 KB, text/plain)
2015-02-06 01:08 UTC, Matthew Harmsen
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1347 normal SHIPPED_LIVE Moderate: pki-core security and bug fix update 2015-07-20 18:07:50 UTC

Description Asha Akkiangady 2014-09-19 21:40:20 UTC
Description of problem:
pki-core failed to build with cmake-2.8.12.2-4.el6.

Version-Release number of selected component (if applicable):
pki-core-9.0.3-37.el6

How reproducible:


Steps to Reproduce:
Errata TPS showed these errors:

CMake Error: Could not find cmake module file: /usr/src/redhat/BUILD/pki-core-9.0.3/build/CMakeFiles/2.8.12.2/CMakeJavaCompiler.cmake
CMake Warning (dev) at base/symkey/src/CMakeLists.txt:1 (project):
  Syntax Warning in cmake code at

    /usr/src/redhat/BUILD/pki-core-9.0.3/cmake/Modules/CMakeTestJavaCompiler.cmake:28:34

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at base/symkey/src/CMakeLists.txt:1 (project):
  Syntax Warning in cmake code at

    /usr/src/redhat/BUILD/pki-core-9.0.3/cmake/Modules/CMakeTestJavaCompiler.cmake:28:46

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Copy file from /usr/src/redhat/BUILD/pki-core-9.0.3/base/selinux/src/pki.fc to /usr/src/redhat/BUILD/pki-core-9.0.3/build/base/selinux/src/pki.fc
-- Copy file from /usr/src/redhat/BUILD/pki-core-9.0.3/base/selinux/src/pki.if to /usr/src/redhat/BUILD/pki-core-9.0.3/build/base/selinux/src/pki.if
-- Copy file from /usr/src/redhat/BUILD/pki-core-9.0.3/base/selinux/src/pki.te to /usr/src/redhat/BUILD/pki-core-9.0.3/build/base/selinux/src/pki.te
-- Configuring incomplete, errors occurred!
See also "/usr/src/redhat/BUILD/pki-core-9.0.3/build/CMakeFiles/CMakeOutput.log".
See also "/usr/src/redhat/BUILD/pki-core-9.0.3/build/CMakeFiles/CMakeError.log".
error: Bad exit status from /var/tmp/rpm-tmp.jgW6Xw (%build)

Actual results:

pki-core build fails.

Expected results:

pki-core should build successfully

Additional info:

Comment 2 Nathan Kinder 2014-09-20 00:35:43 UTC
This is purely a build-time issue.  Pushing to RHEL 6.7.

Comment 3 Matthew Harmsen 2015-02-06 01:07:27 UTC
Created attachment 988646 [details]
pki-core-9.0.3-bz1144608.patch

Patch for:
- Bugzilla Bug #1144608 - pki-core failed to build with cmake-2.8.12.2-4.el6
- Bugzilla Bug #1037248 - pki-core FTBFS if "-Werror=format-security" flag is used

Comment 4 Matthew Harmsen 2015-02-06 01:08:40 UTC
Created attachment 988647 [details]
spec file to apply patch

Spec file used to apply patch

Comment 6 Matthew Harmsen 2015-02-24 01:38:54 UTC
NOTE: Fixes for this bug were made to allow dogtag-pki-theme to be built for
      testing purposes.

Comment 8 Roshni 2015-04-08 21:02:03 UTC
TPS tests of RHEL 6.7 pki-core errata for build pki-core-9.0.3-40.el6 passed.

Comment 10 errata-xmlrpc 2015-07-22 06:55:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1347.html


Note You need to log in before you can comment on or make changes to this bug.